Skip to main content
DELETE
JavaScript

Authorizations

Authorization
string
header
required

Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").

Headers

Conductor-End-User-Id
string
required

The ID of the End-User to receive this request.

Example:

"end_usr_1234567abcdefg"

Path Parameters

id
string
required

The QuickBooks-assigned unique identifier of the time tracking activity to delete.

Maximum string length: 36
Example:

"123ABC-1234567890"

Response

200 - application/json

Returns a confirmation of the deletion with the ID of the deleted time tracking activity.

id
string
required

The QuickBooks-assigned unique identifier of the deleted time tracking activity.

Example:

"123ABC-1234567890"

objectType
string
required

The type of object. This value is always "qbd_time_tracking_activity".

Allowed value: "qbd_time_tracking_activity"
Example:

"qbd_time_tracking_activity"

deleted
boolean
required

Indicates whether the time tracking activity was deleted.

Example:

true